Package org.apache.tapestry5.internal.jpa

## Class NoopAnnotatedType<X>

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.NoopAnnotatedType<X>

- All Implemented Interfaces:
    `Annotated`, `AnnotatedType<X>`

      public class NoopAnnotatedType<X>
      extends java.lang.Object
      implements AnnotatedType<X>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoopAnnotatedType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class<T> annotationType)` |
    `java.util.Set<java.lang.annotation.Annotation>` | `getAnnotations()` |
    `java.lang.reflect.Type` | `getBaseType()` |
    `java.util.Set<AnnotatedConstructor<X>>` | `getConstructors()` |
    `java.util.Set<AnnotatedField<? super X>>` | `getFields()` |
    `java.lang.Class<X>` | `getJavaClass()` |
    `java.util.Set<AnnotatedMethod<? super X>>` | `getMethods()` |
    `java.util.Set<java.lang.reflect.Type>` | `getTypeClosure()` |
    `boolean` | `isAnnotationPresent​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopAnnotatedType

          public NoopAnnotatedType()

  - ### Method Detail

    - #### getBaseType

          public java.lang.reflect.Type getBaseType()

      Specified by:
        `getBaseType` in interface `Annotated`

    - #### getTypeClosure

          public java.util.Set<java.lang.reflect.Type> getTypeClosure()

      Specified by:
        `getTypeClosure` in interface `Annotated`

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class<T> annotationType)

      Specified by:
        `getAnnotation` in interface `Annotated`

    - #### getAnnotations

          public java.util.Set<java.lang.annotation.Annotation> getAnnotations()

      Specified by:
        `getAnnotations` in interface `Annotated`

    - #### isAnnotationPresent

          public boolean isAnnotationPresent​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

      Specified by:
        `isAnnotationPresent` in interface `Annotated`

    - #### getJavaClass

          public java.lang.Class<X> getJavaClass()

      Specified by:
        `getJavaClass` in interface `AnnotatedType<X>`

    - #### getConstructors

          public java.util.Set<AnnotatedConstructor<X>> getConstructors()

      Specified by:
        `getConstructors` in interface `AnnotatedType<X>`

    - #### getMethods

          public java.util.Set<AnnotatedMethod<? super X>> getMethods()

      Specified by:
        `getMethods` in interface `AnnotatedType<X>`

    - #### getFields

          public java.util.Set<AnnotatedField<? super X>> getFields()

      Specified by:
        `getFields` in interface `AnnotatedType<X>`